% universal settings
\documentclass[11pt,extrafontsizes,openany]{book}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[spanish,es-noindentfirst]{babel}
\usepackage[osf]{Alegreya,AlegreyaSans}

% PACKAGE DEFINITION
% typographical packages
\usepackage{microtype} % for micro-typographical adjustments
\usepackage{setspace} % for line spacing
\usepackage{lettrine} % for drop caps and awesome chapter beginnings
\usepackage[md]{titlesec} % for manipulation of chapter titles
\usepackage{enumitem} % for lists
\usepackage{geometry} % page size
\usepackage{fancyhdr} % headers and footers
\usepackage{tocloft} % toc
\usepackage{emptypage}
\usepackage{calc}
\usepackage{hologo}
\usepackage[pdfencoding=auto,hidelinks]{hyperref}
\usepackage{ragged2e}
\usepackage{graphicx}

% meta
\newcommand{\mytitle}{\emph{Currícula en edición digital}}
\newcommand{\myauthor}{Programando Libreros y Perro Tuerto}
\newcommand{\press}{Orbilibro}
\newcommand{\printyear}{2019}
\newcommand{\printdate}{julio del 2019}

% page size
\geometry{
	paperwidth=5.5in,
	paperheight=8.5in,
	inner=1in,
	outer=1in
}

% toc
\addto\captionsspanish{
  \renewcommand{\contentsname}{\textsc{Índice general}}
}
\renewcommand{\cfttoctitlefont}{\normalfont\Large}
\renewcommand{\cftpartfont}{\normalfont}
\renewcommand{\cftpartpagefont}{\normalfont}
\renewcommand{\cftchapfont}{\vspace{-1em}\footnotesize\normalfont}
\renewcommand{\cftchappagefont}{\normalfont}

% defining the title and the author
\title{\mytitle}
\author{\myauthor}
\date{}

% custom second title page
\makeatletter
\newcommand*\halftitlepage{\begingroup % Misericords, T&H p 153
	\setlength\drop{0.1\textheight}
	\begin{center}
		\vspace*{\drop}
		\rule{\textwidth}{0in}\par
		{\large\textsc\thetitle\par}
		\rule{\textwidth}{0in}\par
		{\textsc\theauthor\par}
		\vfill
	\end{center}
	\endgroup}
\makeatother

\fancypagestyle{plain}{%
	\fancyhf{} % clear all header and footer fields
	\fancyfoot[C]{\footnotesize\thepage\normalsize}
	\renewcommand{\headrulewidth}{0pt}
	\renewcommand{\footrulewidth}{0pt}
}

% part title display
\makeatletter
\renewcommand\part{%
	\if@openright
	\cleardoublepage
	\else
	\clearpage
	\fi
	\thispagestyle{empty}%   % Original »plain« replaced by »emptyx
	\if@twocolumn
	\onecolumn
	\@tempswatrue
	\else
	\@tempswafalse
	\fi
	\null\vfil
	\secdef\@part\@spart}
\makeatother

% chapter title display
\titleformat
{\chapter}
[display]
{\normalfont\scshape\Large}
{\Huge\thechapter\centering}
{0pt}
{\centering}[]

% typographical settings for the body text
\setlength{\parskip}{0em}
\linespread{1.09}

% modify spaces between headers
\titlespacing*{\chapter}
{0pt}{2em}{1em}
\titlespacing*{\section}
{0pt}{1em}{1em}

% HEADER AND FOOTER MANIPULATION
\renewcommand{\headrulewidth}{0.0pt}
\renewcommand{\footrulewidth}{0.0pt}

\setlength{\RaggedRightParindent}{\parindent}

%  THE DOCUMENT
\begin{document}

\frontmatter
\pagestyle{empty}
\maketitle

% Legal
\begin{center}
	\footnotesize
	\vspace*{\fill}
	
	\mytitle \\ \myauthor
	
	\vskip 1em
	Edición y diseño: \press
	
	\vskip 1em
	Primera edición en \press: \printdate
	
	\vskip 1em
	Hecho en México / \emph{Made in Mexico}
	
	\vskip 1em
	Permitida su reproducción y difusión por cualquier \\ medio
	mecánico o electrónico sin la autorización \\ escrita del
	titular de los derechos.

	\normalsize
\end{center}

% Preliminares
\include{src/presentacion}
\include{src/mapa}
\include{src/sumario}

\mainmatter

% Principal
\include{src/modulo01}
\include{src/modulo02}
\include{src/modulo03}
\include{src/modulo04}
\include{src/modulo05}
\include{src/modulo06}
\include{src/modulo07}
\include{src/modulo08}
\include{src/modulo09}
\include{src/modulo10}
\include{src/modulo11}
\include{src/modulo12}
\include{src/modulo13}
\include{src/modulo14}
\include{src/modulo15}
\include{src/modulo16}
\include{src/modulo17}
\include{src/modulo18}
\include{src/modulo19}
\include{src/modulo20}
\include{src/modulo21}
\include{src/modulo22}

% Finales
\backmatter
\cleardoublepage
\begin{center}
	\tableofcontents
\end{center}

%\clearpage\pagestyle{empty}\mbox{}\clearpage
\clearpage\pagestyle{empty}\mbox{}
\tocloftpagestyle{empty}

% Colofón
\vspace*{\fill}
\begin{center}
	\mytitle \hspace{.1em} se terminó de componer
	durante el mes de \printdate. Documento compuesto automáticamente
  con \fontfamily{cmr}\LaTeX.
\end{center}

\end{document}
% END THE DOCUMENT

